Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins
[Groovy] Class WarPluginConvention

    java.lang.Object
      org.gradle.api.plugins.WarPluginConvention

    class WarPluginConvention

Property Summary
`Project` | `project`
`String` | `webAppDirName` The name of the web application directory, relative to the project directory.

Constructor Summary
`WarPluginConvention(Project project)`

Method Summary
`File` | `getWebAppDir()` Returns the web application directory.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### project

    final Project project

### webAppDirName

    String webAppDirName

  The name of the web application directory, relative to the project directory.

Constructor Detail

### WarPluginConvention

    WarPluginConvention(Project project)

Method Detail

### getWebAppDir

    File getWebAppDir()

  Returns the web application directory.

Gradle API 1.10